librime: rime::CharsetFilter Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Static Public Member Functions | List of all members
rime::CharsetFilter Class Reference

`#include <charset_filter.h>`

Inheritance diagram for rime::CharsetFilter:
[legend]
Collaboration diagram for rime::CharsetFilter:
[legend]

## Public Member Functions
| CharsetFilter (const Ticket &ticket)
virtual an< Translation > | Apply (an< Translation > translation, CandidateList *candidates)
virtual bool | AppliesToSegment (Segment *segment)
Public Member Functions inherited from rime::Filter
| Filter (const Ticket &ticket)
virtual | ~Filter ()=default
string | name_space () const

## Static Public Member Functions
static bool | FilterText (const string &text)
static bool | FilterDictEntry (an< DictEntry > entry)
Static Public Member Functions inherited from rime::Class< Filter, const Ticket & >
static Component * | Require (const string &name)

## Additional Inherited Members
Public Types inherited from rime::Class< Filter, const Ticket & >
using | Initializer
Protected Attributes inherited from rime::Filter
Engine * | engine_
string | name_space_

## Constructor & Destructor Documentation

## ◆ CharsetFilter()

rime::CharsetFilter::CharsetFilter | ( | const Ticket & | ticket | ) |
| explicit

## Member Function Documentation

## ◆ AppliesToSegment()

virtual bool rime::CharsetFilter::AppliesToSegment | ( | Segment * | segment | ) |
| inlinevirtual

Reimplemented from rime::Filter.

## ◆ Apply()

an< Translation > rime::CharsetFilter::Apply | ( | an< Translation > | translation,
|  | CandidateList * | candidates )
| virtual

Implements rime::Filter.

## ◆ FilterDictEntry()

bool rime::CharsetFilter::FilterDictEntry | ( | an< DictEntry > | entry | ) |
| static

## ◆ FilterText()

bool rime::CharsetFilter::FilterText | ( | const string & | text | ) |
| static

The documentation for this class was generated from the following files:

- charset_filter.h
- charset_filter.cc